﻿Copyright (c) (2014) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Tek TPS 2000 VER RS-232 /O_CAL+5Ch
DATE:                  2014-03-14 10:20:56
AUTHOR:                Fluke
REVISION:              $Revision: 7612 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       168
=============================================================================
#
#  Procedure Author:
#        VY, GMO
#
# Models covered:
#       TPS 2012, TPS 2014, TPS 2024, TPS 2012B, TPS 2014B, TPS 2024B
#
# Source(s):
#       TPS2000 Series Digital Storage Oscilloscopes
#       Service Manual, PN 071-1465-01
#
# Compatibility:
#       MET/CAL version 8.1.4 or later
#
# Average run time during testing :  10 min
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P                            F        V
# ASK+ K is required for measurement uncertainty.
  1.002  ASK+           K

  1.003  IF           NOT(VERSIONCHECK("8.1.7"))
  1.004  END
  1.005  ENDIF

  1.006  HEAD         REMOTE SETUP
  1.007  TARGET
  1.008  CALL         Sub Tek TPS2000 Setup RS-232
  1.009  PORT         *RST

  1.010  HEAD         UUT IDENTIFICATION
  1.011  MATH         @UUT_Manufacturer = "TEKTRONIX"
  1.012  CALL         Sub IEEE-488.2 Identification Query RS-232 using OTERM
  1.013  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.014  CALL         Sub High Voltage Safety Warning

  1.015  HEAD         PRELIMINARY INSTRUCTIONS
  1.016  CALL         Sub Select Failed Test Mode
  1.017  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.018  HEAD         TEST CONDITIONS
  1.019  DISP         Ensure a minimum UUT warm-up time of at least
  1.019  DISP         10 minutes has been allowed to elapse, prior
  1.019  DISP         to beginning verification.

  1.020  HEAD         EQUIPMENT REQUIREMENTS
  1.021  DISP         The following additional equipment and/or
  1.021  DISP         accessories are required:
  1.021  DISP
  1.021  DISP         - Power Splitter, 1 kHz to 500 MHz, 6 dB insertion loss,
  1.021  DISP         [32] output tracking: <0.25 dB, equivalent output
  1.021  DISP         [32] SWR: <1.22, HP/Agilent 11667A or equivalent
  1.021  DISP         [32] N(f) all ports
  1.021  DISP         - N(m) to BNC(f) adapter, 3 sets
  1.021  DISP         - 50 Ω feed through terminator, 2 sets
  1.021  DISP         - 50 Ω BNC(m)-(m) cable, 10 inch long, 2 sets

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results. For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Optimizing Execution Sequence in MET/CAL Gold
# Procedures While Retaining Results Order.

  1.022  CALL         Sub Tek TPS2000 Self-Test RS-232
  1.023  JMPL         END                         @Abort

  1.024  CALL         Sub Tek TPS2000 Sig Path Comp Cal RS-232
  1.025  JMPL         END                         @Abort

  1.026  MATH         @CalMultiChan = 1

  1.027  MATH         @Chan = 1; @CalChan = @Chan
  1.028  CALL         Sub Tek TPS2000 (1 yr) DCV Gain RS-232 /O_CAL
  1.029  MATH         @Chan = 2; @CalChan = @Chan
  1.030  CALL         Sub Tek TPS2000 (1 yr) DCV Gain RS-232 /O_CAL
  1.031  JMPL         DCV_MEAS               @NumChan == 2
  1.032  MATH         @Chan = 3; @CalChan = @Chan
  1.033  CALL         Sub Tek TPS2000 (1 yr) DCV Gain RS-232 /O_CAL
  1.034  MATH         @Chan = 4; @CalChan = @Chan
  1.035  CALL         Sub Tek TPS2000 (1 yr) DCV Gain RS-232 /O_CAL

  1.036  LABEL        DCV_MEAS

  1.037  IF           FINDI(@UUT_Model,"B",1)
  1.038  MATH         @Chan = 1; @CalChan = @Chan
  1.039  CALL         Sub Tek TPS2000 (1 yr) DCV Meas RS-232 /O_CAL
  1.040  MATH         @Chan = 2; @CalChan = @Chan
  1.041  CALL         Sub Tek TPS2000 (1 yr) DCV Meas RS-232 /O_CAL
  1.042  ENDIF

  1.043  IF           FINDI(@UUT_Model,"B",1) && @NumChan == 4
  1.044  MATH         @Chan = 3; @CalChan = @Chan
  1.045  CALL         Sub Tek TPS2000 (1 yr) DCV Meas RS-232 /O_CAL
  1.046  MATH         @Chan = 4; @CalChan = @Chan
  1.047  CALL         Sub Tek TPS2000 (1 yr) DCV Meas RS-232 /O_CAL
  1.048  ENDIF

  1.049  LABEL        BANDWIDTH_CH1
  1.050  MATH         @Chan = 1; @CalChan = @Chan
  1.051  CALL         Sub Tek TPS2000 (1 yr) Bandwidth RS-232 /O_CAL
  1.052  MATH         @Chan = 2; @CalChan = @Chan
  1.053  CALL         Sub Tek TPS2000 (1 yr) Bandwidth RS-232 /O_CAL
  1.054  JMPL         SAMPLE_RATE_DELAY_TIME               @NumChan == 2
  1.055  MATH         @Chan = 3; @CalChan = @Chan
  1.056  CALL         Sub Tek TPS2000 (1 yr) Bandwidth RS-232 /O_CAL
  1.057  MATH         @Chan = 4; @CalChan = @Chan
  1.058  CALL         Sub Tek TPS2000 (1 yr) Bandwidth RS-232 /O_CAL

  1.059  LABEL        SAMPLE_RATE_DELAY_TIME
  1.060  MATH         @Chan = 1; @CalChan = @Chan
  1.061  CALL         Sub Tek TPS2000 (1 yr) Sample Rate RS-232 /O_CAL

  1.062  MATH         @Chan = 1; @CalChan = @Chan
  1.063  CALL         Sub Tek TPS2000 (1 yr) Trig Sens RS-232 /O_CAL
  1.064  MATH         @Chan = 2; @CalChan = @Chan
  1.065  CALL         Sub Tek TPS2000 (1 yr) Trig Sens RS-232 /O_CAL
  1.066  JMPL         EXT_TRIG               @NumChan == 2
  1.067  MATH         @Chan = 3; @CalChan = @Chan
  1.068  CALL         Sub Tek TPS2000 (1 yr) Trig Sens RS-232 /O_CAL
  1.069  MATH         @Chan = 4; @CalChan = @Chan
  1.070  CALL         Sub Tek TPS2000 (1 yr) Trig Sens RS-232 /O_CAL

  1.071  LABEL        EXT_TRIG
  1.072  MATH         @Chan = 1; @CalChan = 1
  1.073  CALL         Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /O_CAL
  1.074  MATH         @Chan = 2; @CalChan = 1
  1.075  CALL         Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /O_CAL
  1.076  JMPL         END               @NumChan == 2
  1.077  MATH         @Chan = 3; @CalChan = 1
  1.078  CALL         Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /O_CAL
  1.079  MATH         @Chan = 4; @CalChan = 1
  1.080  CALL         Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /O_CAL

  1.081  LABEL        END
  1.082  HEAD

  1.083  IF           @Abort
  1.084  DISP         V E R I F I C A T I O N   A B O R T E D
  1.085  RSLT         =V E R I F I C A T I O N   A B O R T E D
  1.086  ENDIF

  1.087  END
